package com.sosopay.model;


import org.nuxeo.common.xmap.annotation.XObject;

import com.fasterxml.jackson.annotation.JsonProperty;

@XObject
public class Goods implements  java.io.Serializable{
	
	private static final long serialVersionUID = 1L;
	
	private String GOOD_ID; //商品id  必填
	private String GOOD_NAME;//商品名称  必填
	private String GOOD_CLASS;//商品类型
	private String GOOD_PRICE;//商品价格 必填 单位:元 最多保留2位小数
	private String GOOD_SUBJECT;//商品描述
	
	private String GOOD_QUANTITY;//商品数量
	private String GOOD_SHOWURL;//url
	/**
	 * @return the gOOD_ID
	 */
	@JsonProperty("GOOD_ID")
	public String getGOOD_ID() {
		return GOOD_ID;
	}
	/**
	 * @param gOOD_ID the gOOD_ID to set
	 */
	public void setGOOD_ID(String gOOD_ID) {
		GOOD_ID = gOOD_ID;
	}
	/**
	 * @return the gOOD_NAME
	 */
	@JsonProperty("GOOD_NAME")
	public String getGOOD_NAME() {
		return GOOD_NAME;
	}
	/**
	 * @param gOOD_NAME the gOOD_NAME to set
	 */
	public void setGOOD_NAME(String gOOD_NAME) {
		GOOD_NAME = gOOD_NAME;
	}
	/**
	 * @return the gOOD_CLASS
	 */
	@JsonProperty("GOOD_CLASS")
	public String getGOOD_CLASS() {
		return GOOD_CLASS;
	}
	/**
	 * @param gOOD_CLASS the gOOD_CLASS to set
	 */
	public void setGOOD_CLASS(String gOOD_CLASS) {
		GOOD_CLASS = gOOD_CLASS;
	}
	/**
	 * @return the gOOD_PRICE
	 */
	@JsonProperty("GOOD_PRICE")
	public String getGOOD_PRICE() {
		return GOOD_PRICE;
	}
	/**
	 * @param gOOD_PRICE the gOOD_PRICE to set
	 */
	public void setGOOD_PRICE(String gOOD_PRICE) {
		GOOD_PRICE = gOOD_PRICE;
	}
	/**
	 * @return the gOOD_SUBJECT
	 */
	@JsonProperty("GOOD_SUBJECT")
	public String getGOOD_SUBJECT() {
		return GOOD_SUBJECT;
	}
	/**
	 * @param gOOD_SUBJECT the gOOD_SUBJECT to set
	 */
	public void setGOOD_SUBJECT(String gOOD_SUBJECT) {
		GOOD_SUBJECT = gOOD_SUBJECT;
	}
	/**
	 * @return the gOOD_QUANTITY
	 */
	@JsonProperty("GOOD_QUANTITY")
	public String getGOOD_QUANTITY() {
		return GOOD_QUANTITY;
	}
	/**
	 * @param gOOD_QUANTITY the gOOD_QUANTITY to set
	 */
	public void setGOOD_QUANTITY(String gOOD_QUANTITY) {
		GOOD_QUANTITY = gOOD_QUANTITY;
	}
	/**
	 * @return the gOOD_SHOWURL
	 */
	@JsonProperty("GOOD_SHOWURL")
	public String getGOOD_SHOWURL() {
		return GOOD_SHOWURL;
	}
	/**
	 * @param gOOD_SHOWURL the gOOD_SHOWURL to set
	 */
	public void setGOOD_SHOWURL(String gOOD_SHOWURL) {
		GOOD_SHOWURL = gOOD_SHOWURL;
	}
	
	
	

}
