package com.sosopay.model;
/**
 * 订单参数
 * 
 */

import java.util.ArrayList;
import java.util.List;

import org.nuxeo.common.xmap.annotation.XObject;

import com.fasterxml.jackson.annotation.JsonProperty;

@XObject(value = "ORDER_REQ")
public class Order implements  java.io.Serializable{ 
	
	private static final long serialVersionUID = 1L;
	
	private String BUSI_ID;//商户编码 必填
	
	private String OPER_ID; //操作员编码 必填

	private String DEV_ID; //设备编码
	
	private String AMT; // 交易金额 单位:元  最多保留2位小数
	
	private String CHANNEL_TYPE;//1-支付宝 2-微信支付 3建设银行..... 必填 --
	
	private String DYNAMIC_ID;//从支付宝钱包上扫描到的用户 动态 ID  必填
	
	private String PAY_SUBJECT; //支付描述信息 以|分割
	
	private String DYNAMIC_ID_TYPE; //支付描述信息 以|分割
	
	private String NODIFY_URL; //支付描述信息 以|分割
	
	private String CHARGE_CODE; //支付描述信息 以|分割
	
	private String REGISTER_ID; //支付描述信息 以|分割
	private String MERCHANTPARA;
	
	private String TRADE_TYPE;
	
	private String subAppid;
	
	private String subOpenid;
	
	private List<Goods> GOODS_DETAIL = new ArrayList<Goods>();//商品
	
	private String buyerLogonId;
	private String buyerId;

	/**
	 * @return the bUSI_ID
	 */
	
	@JsonProperty("BUSI_ID")
	public String getBUSI_ID() {
		return BUSI_ID;
	}

	/**
	 * @param bUSI_ID the bUSI_ID to set
	 */
	public void setBUSI_ID(String bUSI_ID) {
		BUSI_ID = bUSI_ID;
	}

	/**
	 * @return the oPER_ID
	 */
	@JsonProperty("OPER_ID")
	public String getOPER_ID() {
		return OPER_ID;
	}

	/**
	 * @param oPER_ID the oPER_ID to set
	 */
	public void setOPER_ID(String oPER_ID) {
		OPER_ID = oPER_ID;
	}

	/**
	 * @return the dEV_ID
	 */
	@JsonProperty("DEV_ID")
	public String getDEV_ID() {
		return DEV_ID;
	}

	/**
	 * @param dEV_ID the dEV_ID to set
	 */
	public void setDEV_ID(String dEV_ID) {
		DEV_ID = dEV_ID;
	}

	/**
	 * @return the aMT
	 */
	@JsonProperty("AMT")
	public String getAMT() {
		return AMT;
	}

	/**
	 * @param aMT the aMT to set
	 */
	public void setAMT(String aMT) {
		AMT = aMT;
	}

	/**
	 * @return the cHANNEL_TYPE
	 */
	@JsonProperty("CHANNEL_TYPE")
	public String getCHANNEL_TYPE() {
		return CHANNEL_TYPE;
	}

	/**
	 * @param cHANNEL_TYPE the cHANNEL_TYPE to set
	 */
	public void setCHANNEL_TYPE(String cHANNEL_TYPE) {
		CHANNEL_TYPE = cHANNEL_TYPE;
	}

	/**
	 * @return the dYNAMIC_ID
	 */
	@JsonProperty("DYNAMIC_ID")
	public String getDYNAMIC_ID() {
		return DYNAMIC_ID;
	}

	/**
	 * @param dYNAMIC_ID the dYNAMIC_ID to set
	 */
	public void setDYNAMIC_ID(String dYNAMIC_ID) {
		DYNAMIC_ID = dYNAMIC_ID;
	}

	/**
	 * @return the pAY_SUBJECT
	 */
	@JsonProperty("PAY_SUBJECT")
	public String getPAY_SUBJECT() {
		return PAY_SUBJECT;
	}

	/**
	 * @param pAY_SUBJECT the pAY_SUBJECT to set
	 */
	public void setPAY_SUBJECT(String pAY_SUBJECT) {
		PAY_SUBJECT = pAY_SUBJECT;
	}

	/**
	 * @return the dYNAMIC_ID_TYPE
	 */
	@JsonProperty("DYNAMIC_ID_TYPE")
	public String getDYNAMIC_ID_TYPE() {
		return DYNAMIC_ID_TYPE;
	}

	/**
	 * @param dYNAMIC_ID_TYPE the dYNAMIC_ID_TYPE to set
	 */
	public void setDYNAMIC_ID_TYPE(String dYNAMIC_ID_TYPE) {
		DYNAMIC_ID_TYPE = dYNAMIC_ID_TYPE;
	}

	/**
	 * @return the nODIFY_URL
	 */
	@JsonProperty("NODIFY_URL")
	public String getNODIFY_URL() {
		return NODIFY_URL;
	}

	/**
	 * @param nODIFY_URL the nODIFY_URL to set
	 */
	public void setNODIFY_URL(String nODIFY_URL) {
		NODIFY_URL = nODIFY_URL;
	}

	/**
	 * @return the cHARGE_CODE
	 */
	@JsonProperty("CHARGE_CODE")
	public String getCHARGE_CODE() {
		return CHARGE_CODE;
	}

	/**
	 * @param cHARGE_CODE the cHARGE_CODE to set
	 */
	public void setCHARGE_CODE(String cHARGE_CODE) {
		CHARGE_CODE = cHARGE_CODE;
	}

	/**
	 * @return the rEGISTER_ID
	 */
	@JsonProperty("REGISTER_ID")
	public String getREGISTER_ID() {
		return REGISTER_ID;
	}

	/**
	 * @param rEGISTER_ID the rEGISTER_ID to set
	 */
	public void setREGISTER_ID(String rEGISTER_ID) {
		REGISTER_ID = rEGISTER_ID;
	}

	/**
	 * @return the mERCHANTPARA
	 */
	@JsonProperty("MERCHANTPARA")
	public String getMERCHANTPARA() {
		return MERCHANTPARA;
	}

	/**
	 * @param mERCHANTPARA the mERCHANTPARA to set
	 */
	public void setMERCHANTPARA(String mERCHANTPARA) {
		MERCHANTPARA = mERCHANTPARA;
	}

	/**
	 * @return the gOODS_DETAIL
	 */
	@JsonProperty("GOODS_DETAIL")
	public List<Goods> getGOODS_DETAIL() {
		return GOODS_DETAIL;
	}

	/**
	 * @param gOODS_DETAIL the gOODS_DETAIL to set
	 */
	public void setGOODS_DETAIL(List<Goods> gOODS_DETAIL) {
		GOODS_DETAIL = gOODS_DETAIL;
	}
	
	
	public void addGoods(Goods g){
		GOODS_DETAIL.add(g);
	}

	@JsonProperty("TRADE_TYPE")
	public String getTRADE_TYPE() {
		return TRADE_TYPE;
	}

	public void setTRADE_TYPE(String tRADE_TYPE) {
		TRADE_TYPE = tRADE_TYPE;
	}

	@JsonProperty("subAppid")
	public String getSubAppid() {
		return subAppid;
	}

	
	public void setSubAppid(String subAppid) {
		this.subAppid = subAppid;
	}

	@JsonProperty("subOpenid")
	public String getSubOpenid() {
		return subOpenid;
	}

	public void setSubOpenid(String subOpenid) {
		this.subOpenid = subOpenid;
	}

	@JsonProperty("buyerLogonId")
	public String getBuyerLogonId() {
		return buyerLogonId;
	}

	public void setBuyerLogonId(String buyerLogonId) {
		this.buyerLogonId = buyerLogonId;
	}

	@JsonProperty("buyerId")
	public String getBuyerId() {
		return buyerId;
	}

	public void setBuyerId(String buyerId) {
		this.buyerId = buyerId;
	}
}
