package com.sosopay.model;

import org.nuxeo.common.xmap.annotation.XObject;

import com.fasterxml.jackson.annotation.JsonProperty;

@XObject(value = "REFUND_REQ")
public class Refund implements  java.io.Serializable{
	
	private static final long serialVersionUID = 1L;
	
	private String BUSI_ID;//商户编码 必填
	
	private String OPER_ID; //操作员编码 必填
	
	private String OUT_REFUND_NO;
	
	private String CHARGE_REFUND_FEE;
	
	private String DEV_ID; //设备编码
	
	private String CHARGE_CODE; //支付描述信息 以|分割
	
	private String REFUND_SUBJECT; //支付描述信息 以|分割

	/**
	 * @return the bUSI_ID
	 */
	@JsonProperty("BUSI_ID")
	public String getBUSI_ID() {
		return BUSI_ID;
	}

	/**
	 * @param bUSI_ID the bUSI_ID to set
	 */
	public void setBUSI_ID(String bUSI_ID) {
		BUSI_ID = bUSI_ID;
	}

	/**
	 * @return the oPER_ID
	 */
	@JsonProperty("OPER_ID")
	public String getOPER_ID() {
		return OPER_ID;
	}

	/**
	 * @param oPER_ID the oPER_ID to set
	 */
	public void setOPER_ID(String oPER_ID) {
		OPER_ID = oPER_ID;
	}

	/**
	 * @return the oUT_REFUND_NO
	 */
	@JsonProperty("OUT_REFUND_NO")
	public String getOUT_REFUND_NO() {
		return OUT_REFUND_NO;
	}

	/**
	 * @param oUT_REFUND_NO the oUT_REFUND_NO to set
	 */
	public void setOUT_REFUND_NO(String oUT_REFUND_NO) {
		OUT_REFUND_NO = oUT_REFUND_NO;
	}

	/**
	 * @return the cHARGE_REFUND_FEE
	 */
	@JsonProperty("CHARGE_REFUND_FEE")
	public String getCHARGE_REFUND_FEE() {
		return CHARGE_REFUND_FEE;
	}

	/**
	 * @param cHARGE_REFUND_FEE the cHARGE_REFUND_FEE to set
	 */
	public void setCHARGE_REFUND_FEE(String cHARGE_REFUND_FEE) {
		CHARGE_REFUND_FEE = cHARGE_REFUND_FEE;
	}

	/**
	 * @return the dEV_ID
	 */
	@JsonProperty("DEV_ID")
	public String getDEV_ID() {
		return DEV_ID;
	}

	/**
	 * @param dEV_ID the dEV_ID to set
	 */
	public void setDEV_ID(String dEV_ID) {
		DEV_ID = dEV_ID;
	}

	/**
	 * @return the cHARGE_CODE
	 */
	@JsonProperty("CHARGE_CODE")
	public String getCHARGE_CODE() {
		return CHARGE_CODE;
	}

	/**
	 * @param cHARGE_CODE the cHARGE_CODE to set
	 */
	public void setCHARGE_CODE(String cHARGE_CODE) {
		CHARGE_CODE = cHARGE_CODE;
	}

	/**
	 * @return the rEFUND_SUBJECT
	 */
	@JsonProperty("REFUND_SUBJECT")
	public String getREFUND_SUBJECT() {
		return REFUND_SUBJECT;
	}

	/**
	 * @param rEFUND_SUBJECT the rEFUND_SUBJECT to set
	 */
	public void setREFUND_SUBJECT(String rEFUND_SUBJECT) {
		REFUND_SUBJECT = rEFUND_SUBJECT;
	}

	

}
