package com.sosopay.servlet;

import java.io.IOException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.sosopay.base.TradeConfig;


public class SosoPayNodify extends HttpServlet {

	/**
	 * 商户异步通知接口
	 */
	private static final long serialVersionUID = 1L;

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		this.doPost(req, resp);
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

		req.setCharacterEncoding("utf-8");
		resp.setCharacterEncoding("utf-8");
		
		String sign1 = req.getParameter("sign");//获取到的sign

		java.io.BufferedReader bis = new java.io.BufferedReader(new java.io.InputStreamReader(req.getInputStream()));
		String xml = "";
		String line = null;

		try {
			while ((line = bis.readLine()) != null) {
				xml = xml + line;
			}
			
			
			String xmlsign = xml.replaceAll("\\s", "");
			String timestamp = sign1.substring(sign1.indexOf(":")+1);
			

//			//生成签名规则 md5(timestamp+key+xml):timestamp
			String s = md5Encrypt(timestamp + TradeConfig.BUSI_KEY + xmlsign) + ":" + timestamp;
			
			if(s.equals(sign1)){
				System.out.println("签名正确");
			}else{
				System.out.println("签名错误");
			}
			

			//解析xml

			

		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			bis.close();
		}

		
		//返回嗖嗖接口
		String returnXMl = "<PAY_NODIFY_RESP>" + "<NODIFY_SUCCESS>SUCCESS</NODIFY_SUCCESS>" + "</PAY_NODIFY_RESP>";
		resp.getWriter().print(returnXMl);

	}

	/**
	 * 初始系统
	 * 
	 * @param config
	 *            ServletConfig
	 * @throws ServletException
	 */
	public void init(ServletConfig config) throws ServletException {
		super.init(config);

	}

	/**
	 * Return the webapp directory.
	 * 
	 * @return
	 */

	public static String md5Encrypt(String str) throws Exception {
		try {
			MessageDigest md = MessageDigest.getInstance("MD5");
			md.update(str.getBytes("UTF-8"));
			byte b[] = md.digest();

			int i;

			StringBuffer buf = new StringBuffer();
			for (int offset = 0; offset < b.length; offset++) {
				i = b[offset];
				if (i < 0)
					i += 256;
				if (i < 16)
					buf.append("0");
				buf.append(Integer.toHexString(i));
			}
			return buf.toString();

		} catch (NoSuchAlgorithmException e) {
			e.printStackTrace();
			return null;
		}
	}

}
