package com.sosopay.trade;

import org.apache.http.client.methods.HttpGet;
import org.apache.http.protocol.HTTP;

import com.sosopay.base.TradeConfig;
import com.sosopay.util.CommonUtil;
import com.sosopay.util.HttpProtocolHandler;

/**
 * 撤单
 */
public class CancelTrade {

	public static void main(String[] args) throws Exception {
		
		String chargeCode = "E220C972-BA86-415E-AF96-275975D7CFB5"; //交易上行流水号
		//请求主扫接口
		//计算签名。 计算签名的时候要把xml中的空白符全部去掉 ，编码统一用utf-8。
		long timestamp = System.currentTimeMillis();// 
		
		//商户key 98SDKFUO432HNODS098EEE07U9DUOIUE  每个商户分配一个 这个是测试的
		//生成签名规则 md5(timestamp+key+xml):timestamp
		String s = CommonUtil.md5Encrypt(timestamp + TradeConfig.BUSI_KEY + "chargeCode="+chargeCode+"&busiCode="+TradeConfig.BUSI_ID+"") + ":" + timestamp;

		// HttpPost连接对象
		HttpGet httpget = new HttpGet(TradeConfig.REQ_URL + "cancelTrade/" + chargeCode + "/" + TradeConfig.BUSI_ID + "?sign="+s + "&_type=json&busiCode=" + TradeConfig.BUSI_ID);

		System.setProperty ("jsse.enableSNIExtension", "false");
		httpget.setHeader(HTTP.CONTENT_TYPE, "text/xml;charset=utf-8");

		//soso接口返回 详细定义参考嗖嗖接口文档
		//https 提交请求
		String httpResponse = HttpProtocolHandler.getInstance().executeHttps(httpget);
		//http 提交请求
//		String httpResponse = HttpProtocolHandler.getInstance().execute(httpget);
		
		
		System.out.println(httpResponse);
	}
}
