package com.sosopay.trade;

import org.apache.http.client.methods.HttpGet;
import org.apache.http.protocol.HTTP;

import com.sosopay.base.TradeConfig;
import com.sosopay.util.HttpProtocolHandler;

/**
 * 
 * 查询接口
 */
public class Query {

	public static void main(String[] args) throws Exception {
		
		String chargeCode = "3E3D393C-F66D-46C4-BE7B-7E764F641FC5"; //交易上行流水号
 
		// HttpPost连接对象 
		HttpGet httpget = new HttpGet(TradeConfig.REQ_URL + "query/"+chargeCode+"/"+TradeConfig.BUSI_ID + "?_type=json");
		System.setProperty("jsse.enableSNIExtension", "false");
		
		httpget.setHeader(HTTP.CONTENT_TYPE, "text/xml;charset=utf-8");
		
		//soso接口返回 详细定义参考嗖嗖接口文档
        //https 提交请求
        String httpResponse = HttpProtocolHandler.getInstance().executeHttps(httpget);
        //http 提交请求
//      String httpResponse = HttpProtocolHandler.getInstance().execute(httpget);


		System.out.println(httpResponse);
	}
}
